%{?nodejs_find_provides_and_requires}

%global packagename engine.io

# Tests disabled due to a huge list of missing dependencies
%global enable_tests 0

Name:		nodejs-engine-dot-io
Version:	3.2.0
Release:	2%{?dist}
Summary:	The realtime engine behind Socket.IO

License:	MIT
URL:		https://github.com/socketio/engine.io.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(accepts)
BuildRequires:	npm(base64id)
BuildRequires:	npm(cookie)
BuildRequires:	npm(debug)
BuildRequires:	npm(engine.io-parser)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
The realtime engine behind Socket.IO. Provides the foundation of a
bidirectional connection between client and server


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep debug

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue May 01 2018 Jared K. Smith <jsmith@fedoraproject.org> - 3.2.0-2
- Clean up spec file

* Fri Apr 27 2018 Jared K. Smith <jsmith@fedoraproject.org> - 3.2.0-1
- Initial packaging
